supportedSignals = {
    "Layouts": {
        "Horizontal Layout": [
            [
                "QLayout",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QLayout",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Vertical Layout": [
            [
                "QLayout",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QLayout",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Grid Layout": [
            [
                "QGridLayout",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QGridLayout",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Form Layout": [
            [
                "QFormLayout",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QFormLayout",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Spacers": {
        "Horizontal Spacer": [],
        "Vertical Spacer": []
    },
    "Buttons": {
        "Push Button": [
            [
                "QPushButton",
                "clicked",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QPushButton",
                "pressed",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QPushButton",
                "released",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QPushButton",
                "toggled",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QPushButton",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPushButton",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPushButton",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPushButton",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPushButton",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QPushButton",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Tool Button": [
            [
                "QToolButton",
                "triggered",
                "PyQt5.QtWidgets.QToolButton"
            ],
            [
                "QToolButton",
                "clicked",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QToolButton",
                "pressed",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QToolButton",
                "released",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QToolButton",
                "toggled",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QToolButton",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolButton",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolButton",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolButton",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolButton",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QToolButton",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Radio Button": [
            [
                "QRadioButton",
                "clicked",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QRadioButton",
                "pressed",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QRadioButton",
                "released",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QRadioButton",
                "toggled",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QRadioButton",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QRadioButton",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QRadioButton",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QRadioButton",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QRadioButton",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QRadioButton",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Check Box": [
            [
                "QCheckBox",
                "stateChanged",
                "PyQt5.QtWidgets.QCheckBox"
            ],
            [
                "QCheckBox",
                "clicked",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCheckBox",
                "pressed",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCheckBox",
                "released",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCheckBox",
                "toggled",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCheckBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCheckBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCheckBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCheckBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCheckBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QCheckBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Command Link Button": [
            [
                "QCommandLinkButton",
                "clicked",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCommandLinkButton",
                "pressed",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCommandLinkButton",
                "released",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCommandLinkButton",
                "toggled",
                "PyQt5.QtWidgets.QAbstractButton"
            ],
            [
                "QCommandLinkButton",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCommandLinkButton",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCommandLinkButton",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCommandLinkButton",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCommandLinkButton",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QCommandLinkButton",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Dialog Button Box": [
            [
                "QDialogButtonBox",
                "accepted",
                "PyQt5.QtWidgets.QDialogButtonBox"
            ],
            [
                "QDialogButtonBox",
                "clicked",
                "PyQt5.QtWidgets.QDialogButtonBox"
            ],
            [
                "QDialogButtonBox",
                "helpRequested",
                "PyQt5.QtWidgets.QDialogButtonBox"
            ],
            [
                "QDialogButtonBox",
                "rejected",
                "PyQt5.QtWidgets.QDialogButtonBox"
            ],
            [
                "QDialogButtonBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDialogButtonBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDialogButtonBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDialogButtonBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDialogButtonBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDialogButtonBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Item Views (Model-Based)": {
        "List View": [
            [
                "QListView",
                "indexesMoved",
                "PyQt5.QtWidgets.QListView"
            ],
            [
                "QListView",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListView",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListView",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListView",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListView",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListView",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QListView",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Tree View": [
            [
                "QTreeView",
                "collapsed",
                "PyQt5.QtWidgets.QTreeView"
            ],
            [
                "QTreeView",
                "expanded",
                "PyQt5.QtWidgets.QTreeView"
            ],
            [
                "QTreeView",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeView",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeView",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeView",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeView",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeView",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTreeView",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Table View": [
            [
                "QTableView",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableView",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableView",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableView",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableView",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableView",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTableView",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Column View": [
            [
                "QColumnView",
                "updatePreviewWidget",
                "PyQt5.QtWidgets.QColumnView"
            ],
            [
                "QColumnView",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QColumnView",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QColumnView",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QColumnView",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QColumnView",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QColumnView",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QColumnView",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Item Widgets (Item-Based)": {
        "List Widget": [
            [
                "QListWidget",
                "currentItemChanged",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "currentRowChanged",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "currentTextChanged",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemActivated",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemChanged",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemClicked",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemDoubleClicked",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemEntered",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemPressed",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "itemSelectionChanged",
                "PyQt5.QtWidgets.QListWidget"
            ],
            [
                "QListWidget",
                "indexesMoved",
                "PyQt5.QtWidgets.QListView"
            ],
            [
                "QListWidget",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QListWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QListWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QListWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Tree Widget": [
            [
                "QTreeWidget",
                "currentItemChanged",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemActivated",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemChanged",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemClicked",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemCollapsed",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemDoubleClicked",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemEntered",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemExpanded",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemPressed",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "itemSelectionChanged",
                "PyQt5.QtWidgets.QTreeWidget"
            ],
            [
                "QTreeWidget",
                "collapsed",
                "PyQt5.QtWidgets.QTreeView"
            ],
            [
                "QTreeWidget",
                "expanded",
                "PyQt5.QtWidgets.QTreeView"
            ],
            [
                "QTreeWidget",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTreeWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTreeWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTreeWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Table Widget": [
            [
                "QTableWidget",
                "cellActivated",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "cellChanged",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "cellClicked",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "cellDoubleClicked",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "cellEntered",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "cellPressed",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "currentCellChanged",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "currentItemChanged",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemActivated",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemChanged",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemClicked",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemDoubleClicked",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemEntered",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemPressed",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "itemSelectionChanged",
                "PyQt5.QtWidgets.QTableWidget"
            ],
            [
                "QTableWidget",
                "activated",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "clicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "doubleClicked",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "entered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "iconSizeChanged",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "pressed",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "viewportEntered",
                "PyQt5.QtWidgets.QAbstractItemView"
            ],
            [
                "QTableWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTableWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTableWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Containers": {
        "Group Box": [
            [
                "QGroupBox",
                "clicked",
                "PyQt5.QtWidgets.QGroupBox"
            ],
            [
                "QGroupBox",
                "toggled",
                "PyQt5.QtWidgets.QGroupBox"
            ],
            [
                "QGroupBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGroupBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGroupBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGroupBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGroupBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QGroupBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Scroll Area": [
            [
                "QScrollArea",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollArea",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollArea",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollArea",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollArea",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QScrollArea",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Tool Box": [
            [
                "QToolBox",
                "currentChanged",
                "PyQt5.QtWidgets.QToolBox"
            ],
            [
                "QToolBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QToolBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QToolBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Tab Widget": [
            [
                "QTabWidget",
                "currentChanged",
                "PyQt5.QtWidgets.QTabWidget"
            ],
            [
                "QTabWidget",
                "tabBarClicked",
                "PyQt5.QtWidgets.QTabWidget"
            ],
            [
                "QTabWidget",
                "tabBarDoubleClicked",
                "PyQt5.QtWidgets.QTabWidget"
            ],
            [
                "QTabWidget",
                "tabCloseRequested",
                "PyQt5.QtWidgets.QTabWidget"
            ],
            [
                "QTabWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTabWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTabWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTabWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTabWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTabWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Stacked Widget": [
            [
                "QStackedWidget",
                "currentChanged",
                "PyQt5.QtWidgets.QStackedWidget"
            ],
            [
                "QStackedWidget",
                "widgetRemoved",
                "PyQt5.QtWidgets.QStackedWidget"
            ],
            [
                "QStackedWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QStackedWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QStackedWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QStackedWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QStackedWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QStackedWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Frame": [
            [
                "QFrame",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFrame",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFrame",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFrame",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFrame",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QFrame",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Widget": [
            [
                "QWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "MDI Area": [],
        "Dock Widget": [
            [
                "QDockWidget",
                "allowedAreasChanged",
                "PyQt5.QtWidgets.QDockWidget"
            ],
            [
                "QDockWidget",
                "dockLocationChanged",
                "PyQt5.QtWidgets.QDockWidget"
            ],
            [
                "QDockWidget",
                "featuresChanged",
                "PyQt5.QtWidgets.QDockWidget"
            ],
            [
                "QDockWidget",
                "topLevelChanged",
                "PyQt5.QtWidgets.QDockWidget"
            ],
            [
                "QDockWidget",
                "visibilityChanged",
                "PyQt5.QtWidgets.QDockWidget"
            ],
            [
                "QDockWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDockWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDockWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDockWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDockWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDockWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Input Widgets": {
        "Combo Box": [
            [
                "QComboBox",
                "activated",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "currentIndexChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "currentTextChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "editTextChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "highlighted",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "textActivated",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "textHighlighted",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QComboBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QComboBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QComboBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QComboBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QComboBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QComboBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Font Combo Box": [
            [
                "QFontComboBox",
                "currentFontChanged",
                "PyQt5.QtWidgets.QFontComboBox"
            ],
            [
                "QFontComboBox",
                "activated",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "currentIndexChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "currentTextChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "editTextChanged",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "highlighted",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "textActivated",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "textHighlighted",
                "PyQt5.QtWidgets.QComboBox"
            ],
            [
                "QFontComboBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFontComboBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFontComboBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFontComboBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QFontComboBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QFontComboBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Line Edit": [
            [
                "QLineEdit",
                "cursorPositionChanged",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "editingFinished",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "inputRejected",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "returnPressed",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "selectionChanged",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "textChanged",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "textEdited",
                "PyQt5.QtWidgets.QLineEdit"
            ],
            [
                "QLineEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLineEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLineEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLineEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLineEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QLineEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Text Edit": [
            [
                "QTextEdit",
                "copyAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "currentCharFormatChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "cursorPositionChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "redoAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "selectionChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "textChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "undoAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTextEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Plain Text Edit": [
            [
                "QPlainTextEdit",
                "blockCountChanged",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "copyAvailable",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "cursorPositionChanged",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "modificationChanged",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "redoAvailable",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "selectionChanged",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "textChanged",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "undoAvailable",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "updateRequest",
                "PyQt5.QtWidgets.QPlainTextEdit"
            ],
            [
                "QPlainTextEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPlainTextEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPlainTextEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPlainTextEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QPlainTextEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QPlainTextEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Spin Box": [
            [
                "QSpinBox",
                "textChanged",
                "PyQt5.QtWidgets.QSpinBox"
            ],
            [
                "QSpinBox",
                "valueChanged",
                "PyQt5.QtWidgets.QSpinBox"
            ],
            [
                "QSpinBox",
                "editingFinished",
                "PyQt5.QtWidgets.QAbstractSpinBox"
            ],
            [
                "QSpinBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSpinBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSpinBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSpinBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSpinBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QSpinBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Double Spin Box": [
            [
                "QDoubleSpinBox",
                "textChanged",
                "PyQt5.QtWidgets.QDoubleSpinBox"
            ],
            [
                "QDoubleSpinBox",
                "valueChanged",
                "PyQt5.QtWidgets.QDoubleSpinBox"
            ],
            [
                "QDoubleSpinBox",
                "editingFinished",
                "PyQt5.QtWidgets.QAbstractSpinBox"
            ],
            [
                "QDoubleSpinBox",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDoubleSpinBox",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDoubleSpinBox",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDoubleSpinBox",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDoubleSpinBox",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDoubleSpinBox",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Time Edit": [
            [
                "QTimeEdit",
                "dateChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QTimeEdit",
                "dateTimeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QTimeEdit",
                "timeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QTimeEdit",
                "editingFinished",
                "PyQt5.QtWidgets.QAbstractSpinBox"
            ],
            [
                "QTimeEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTimeEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTimeEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTimeEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTimeEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTimeEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Date Edit": [
            [
                "QDateEdit",
                "dateChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateEdit",
                "dateTimeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateEdit",
                "timeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateEdit",
                "editingFinished",
                "PyQt5.QtWidgets.QAbstractSpinBox"
            ],
            [
                "QDateEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDateEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Date/Time Edit": [
            [
                "QDateTimeEdit",
                "dateChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateTimeEdit",
                "dateTimeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateTimeEdit",
                "timeChanged",
                "PyQt5.QtWidgets.QDateTimeEdit"
            ],
            [
                "QDateTimeEdit",
                "editingFinished",
                "PyQt5.QtWidgets.QAbstractSpinBox"
            ],
            [
                "QDateTimeEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateTimeEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateTimeEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateTimeEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDateTimeEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDateTimeEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Dial": [
            [
                "QDial",
                "actionTriggered",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "rangeChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "sliderMoved",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "sliderPressed",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "sliderReleased",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "valueChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QDial",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDial",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDial",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDial",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QDial",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QDial",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Horizontal Scroll Bar": [
            [
                "QScrollBar",
                "actionTriggered",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "rangeChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderMoved",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderPressed",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderReleased",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "valueChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QScrollBar",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Vertical Scroll Bar": [
            [
                "QScrollBar",
                "actionTriggered",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "rangeChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderMoved",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderPressed",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "sliderReleased",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "valueChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QScrollBar",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QScrollBar",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QScrollBar",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Horizontal Slider": [
            [
                "QSlider",
                "actionTriggered",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "rangeChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderMoved",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderPressed",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderReleased",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "valueChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QSlider",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Vertical Slider": [
            [
                "QSlider",
                "actionTriggered",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "rangeChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderMoved",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderPressed",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "sliderReleased",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "valueChanged",
                "PyQt5.QtWidgets.QAbstractSlider"
            ],
            [
                "QSlider",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QSlider",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QSlider",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Key Sequence Edit": [
            [
                "QKeySequenceEdit",
                "editingFinished",
                "PyQt5.QtWidgets.QKeySequenceEdit"
            ],
            [
                "QKeySequenceEdit",
                "keySequenceChanged",
                "PyQt5.QtWidgets.QKeySequenceEdit"
            ],
            [
                "QKeySequenceEdit",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QKeySequenceEdit",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QKeySequenceEdit",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QKeySequenceEdit",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QKeySequenceEdit",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QKeySequenceEdit",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    },
    "Display Widgets": {
        "Label": [
            [
                "QLabel",
                "linkActivated",
                "PyQt5.QtWidgets.QLabel"
            ],
            [
                "QLabel",
                "linkHovered",
                "PyQt5.QtWidgets.QLabel"
            ],
            [
                "QLabel",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLabel",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLabel",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLabel",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLabel",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QLabel",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Text Browser": [
            [
                "QTextBrowser",
                "anchorClicked",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "backwardAvailable",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "forwardAvailable",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "highlighted",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "historyChanged",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "sourceChanged",
                "PyQt5.QtWidgets.QTextBrowser"
            ],
            [
                "QTextBrowser",
                "copyAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "currentCharFormatChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "cursorPositionChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "redoAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "selectionChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "textChanged",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "undoAvailable",
                "PyQt5.QtWidgets.QTextEdit"
            ],
            [
                "QTextBrowser",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextBrowser",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextBrowser",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextBrowser",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QTextBrowser",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QTextBrowser",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Graphics View": [
            [
                "QGraphicsView",
                "rubberBandChanged",
                "PyQt5.QtWidgets.QGraphicsView"
            ],
            [
                "QGraphicsView",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGraphicsView",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGraphicsView",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGraphicsView",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QGraphicsView",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QGraphicsView",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Calendar Widget": [
            [
                "QCalendarWidget",
                "activated",
                "PyQt5.QtWidgets.QCalendarWidget"
            ],
            [
                "QCalendarWidget",
                "clicked",
                "PyQt5.QtWidgets.QCalendarWidget"
            ],
            [
                "QCalendarWidget",
                "currentPageChanged",
                "PyQt5.QtWidgets.QCalendarWidget"
            ],
            [
                "QCalendarWidget",
                "selectionChanged",
                "PyQt5.QtWidgets.QCalendarWidget"
            ],
            [
                "QCalendarWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCalendarWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCalendarWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCalendarWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QCalendarWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QCalendarWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "LCD Number": [
            [
                "QLCDNumber",
                "overflow",
                "PyQt5.QtWidgets.QLCDNumber"
            ],
            [
                "QLCDNumber",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLCDNumber",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLCDNumber",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLCDNumber",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QLCDNumber",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QLCDNumber",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Progress Bar": [
            [
                "QProgressBar",
                "valueChanged",
                "PyQt5.QtWidgets.QProgressBar"
            ],
            [
                "QProgressBar",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QProgressBar",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QProgressBar",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QProgressBar",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QProgressBar",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QProgressBar",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ],
        "Horizontal Line": [],
        "Vertical Line": [],
        "OpenGL Widget": [
            [
                "QOpenGLWidget",
                "aboutToCompose",
                "PyQt5.QtWidgets.QOpenGLWidget"
            ],
            [
                "QOpenGLWidget",
                "aboutToResize",
                "PyQt5.QtWidgets.QOpenGLWidget"
            ],
            [
                "QOpenGLWidget",
                "frameSwapped",
                "PyQt5.QtWidgets.QOpenGLWidget"
            ],
            [
                "QOpenGLWidget",
                "resized",
                "PyQt5.QtWidgets.QOpenGLWidget"
            ],
            [
                "QOpenGLWidget",
                "customContextMenuRequested",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QOpenGLWidget",
                "windowIconChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QOpenGLWidget",
                "windowIconTextChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QOpenGLWidget",
                "windowTitleChanged",
                "PyQt5.QtWidgets.QWidget"
            ],
            [
                "QOpenGLWidget",
                "destroyed",
                "PyQt5.QtCore.QObject"
            ],
            [
                "QOpenGLWidget",
                "objectNameChanged",
                "PyQt5.QtCore.QObject"
            ]
        ]
    }
}

classSignals = {
    "QLayout": [
        [
            "QLayout",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QLayout",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QGridLayout": [
        [
            "QGridLayout",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QGridLayout",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QFormLayout": [
        [
            "QFormLayout",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QFormLayout",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QPushButton": [
        [
            "QPushButton",
            "clicked",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QPushButton",
            "pressed",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QPushButton",
            "released",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QPushButton",
            "toggled",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QPushButton",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPushButton",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPushButton",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPushButton",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPushButton",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QPushButton",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QToolButton": [
        [
            "QToolButton",
            "triggered",
            "PyQt5.QtWidgets.QToolButton"
        ],
        [
            "QToolButton",
            "clicked",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QToolButton",
            "pressed",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QToolButton",
            "released",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QToolButton",
            "toggled",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QToolButton",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolButton",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolButton",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolButton",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolButton",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QToolButton",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QRadioButton": [
        [
            "QRadioButton",
            "clicked",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QRadioButton",
            "pressed",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QRadioButton",
            "released",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QRadioButton",
            "toggled",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QRadioButton",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QRadioButton",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QRadioButton",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QRadioButton",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QRadioButton",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QRadioButton",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QCheckBox": [
        [
            "QCheckBox",
            "stateChanged",
            "PyQt5.QtWidgets.QCheckBox"
        ],
        [
            "QCheckBox",
            "clicked",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCheckBox",
            "pressed",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCheckBox",
            "released",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCheckBox",
            "toggled",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCheckBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCheckBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCheckBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCheckBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCheckBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QCheckBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QCommandLinkButton": [
        [
            "QCommandLinkButton",
            "clicked",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCommandLinkButton",
            "pressed",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCommandLinkButton",
            "released",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCommandLinkButton",
            "toggled",
            "PyQt5.QtWidgets.QAbstractButton"
        ],
        [
            "QCommandLinkButton",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCommandLinkButton",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCommandLinkButton",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCommandLinkButton",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCommandLinkButton",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QCommandLinkButton",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDialogButtonBox": [
        [
            "QDialogButtonBox",
            "accepted",
            "PyQt5.QtWidgets.QDialogButtonBox"
        ],
        [
            "QDialogButtonBox",
            "clicked",
            "PyQt5.QtWidgets.QDialogButtonBox"
        ],
        [
            "QDialogButtonBox",
            "helpRequested",
            "PyQt5.QtWidgets.QDialogButtonBox"
        ],
        [
            "QDialogButtonBox",
            "rejected",
            "PyQt5.QtWidgets.QDialogButtonBox"
        ],
        [
            "QDialogButtonBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDialogButtonBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDialogButtonBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDialogButtonBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDialogButtonBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDialogButtonBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QListView": [
        [
            "QListView",
            "indexesMoved",
            "PyQt5.QtWidgets.QListView"
        ],
        [
            "QListView",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListView",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListView",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListView",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListView",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListView",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QListView",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTreeView": [
        [
            "QTreeView",
            "collapsed",
            "PyQt5.QtWidgets.QTreeView"
        ],
        [
            "QTreeView",
            "expanded",
            "PyQt5.QtWidgets.QTreeView"
        ],
        [
            "QTreeView",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeView",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeView",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeView",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeView",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeView",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTreeView",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTableView": [
        [
            "QTableView",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableView",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableView",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableView",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableView",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableView",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTableView",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QColumnView": [
        [
            "QColumnView",
            "updatePreviewWidget",
            "PyQt5.QtWidgets.QColumnView"
        ],
        [
            "QColumnView",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QColumnView",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QColumnView",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QColumnView",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QColumnView",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QColumnView",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QColumnView",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QListWidget": [
        [
            "QListWidget",
            "currentItemChanged",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "currentRowChanged",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "currentTextChanged",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemActivated",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemChanged",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemClicked",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemDoubleClicked",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemEntered",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemPressed",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "itemSelectionChanged",
            "PyQt5.QtWidgets.QListWidget"
        ],
        [
            "QListWidget",
            "indexesMoved",
            "PyQt5.QtWidgets.QListView"
        ],
        [
            "QListWidget",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QListWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QListWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QListWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTreeWidget": [
        [
            "QTreeWidget",
            "currentItemChanged",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemActivated",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemChanged",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemClicked",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemCollapsed",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemDoubleClicked",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemEntered",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemExpanded",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemPressed",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "itemSelectionChanged",
            "PyQt5.QtWidgets.QTreeWidget"
        ],
        [
            "QTreeWidget",
            "collapsed",
            "PyQt5.QtWidgets.QTreeView"
        ],
        [
            "QTreeWidget",
            "expanded",
            "PyQt5.QtWidgets.QTreeView"
        ],
        [
            "QTreeWidget",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTreeWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTreeWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTreeWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTableWidget": [
        [
            "QTableWidget",
            "cellActivated",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "cellChanged",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "cellClicked",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "cellDoubleClicked",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "cellEntered",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "cellPressed",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "currentCellChanged",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "currentItemChanged",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemActivated",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemChanged",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemClicked",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemDoubleClicked",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemEntered",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemPressed",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "itemSelectionChanged",
            "PyQt5.QtWidgets.QTableWidget"
        ],
        [
            "QTableWidget",
            "activated",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "clicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "doubleClicked",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "entered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "iconSizeChanged",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "pressed",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "viewportEntered",
            "PyQt5.QtWidgets.QAbstractItemView"
        ],
        [
            "QTableWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTableWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTableWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QGroupBox": [
        [
            "QGroupBox",
            "clicked",
            "PyQt5.QtWidgets.QGroupBox"
        ],
        [
            "QGroupBox",
            "toggled",
            "PyQt5.QtWidgets.QGroupBox"
        ],
        [
            "QGroupBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGroupBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGroupBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGroupBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGroupBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QGroupBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QScrollArea": [
        [
            "QScrollArea",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollArea",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollArea",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollArea",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollArea",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QScrollArea",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QToolBox": [
        [
            "QToolBox",
            "currentChanged",
            "PyQt5.QtWidgets.QToolBox"
        ],
        [
            "QToolBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QToolBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QToolBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTabWidget": [
        [
            "QTabWidget",
            "currentChanged",
            "PyQt5.QtWidgets.QTabWidget"
        ],
        [
            "QTabWidget",
            "tabBarClicked",
            "PyQt5.QtWidgets.QTabWidget"
        ],
        [
            "QTabWidget",
            "tabBarDoubleClicked",
            "PyQt5.QtWidgets.QTabWidget"
        ],
        [
            "QTabWidget",
            "tabCloseRequested",
            "PyQt5.QtWidgets.QTabWidget"
        ],
        [
            "QTabWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTabWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTabWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTabWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTabWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTabWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QStackedWidget": [
        [
            "QStackedWidget",
            "currentChanged",
            "PyQt5.QtWidgets.QStackedWidget"
        ],
        [
            "QStackedWidget",
            "widgetRemoved",
            "PyQt5.QtWidgets.QStackedWidget"
        ],
        [
            "QStackedWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QStackedWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QStackedWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QStackedWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QStackedWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QStackedWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QFrame": [
        [
            "QFrame",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFrame",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFrame",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFrame",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFrame",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QFrame",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QWidget": [
        [
            "QWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDockWidget": [
        [
            "QDockWidget",
            "allowedAreasChanged",
            "PyQt5.QtWidgets.QDockWidget"
        ],
        [
            "QDockWidget",
            "dockLocationChanged",
            "PyQt5.QtWidgets.QDockWidget"
        ],
        [
            "QDockWidget",
            "featuresChanged",
            "PyQt5.QtWidgets.QDockWidget"
        ],
        [
            "QDockWidget",
            "topLevelChanged",
            "PyQt5.QtWidgets.QDockWidget"
        ],
        [
            "QDockWidget",
            "visibilityChanged",
            "PyQt5.QtWidgets.QDockWidget"
        ],
        [
            "QDockWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDockWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDockWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDockWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDockWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDockWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QComboBox": [
        [
            "QComboBox",
            "activated",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "currentIndexChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "currentTextChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "editTextChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "highlighted",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "textActivated",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "textHighlighted",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QComboBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QComboBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QComboBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QComboBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QComboBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QComboBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QFontComboBox": [
        [
            "QFontComboBox",
            "currentFontChanged",
            "PyQt5.QtWidgets.QFontComboBox"
        ],
        [
            "QFontComboBox",
            "activated",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "currentIndexChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "currentTextChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "editTextChanged",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "highlighted",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "textActivated",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "textHighlighted",
            "PyQt5.QtWidgets.QComboBox"
        ],
        [
            "QFontComboBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFontComboBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFontComboBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFontComboBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QFontComboBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QFontComboBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QLineEdit": [
        [
            "QLineEdit",
            "cursorPositionChanged",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "editingFinished",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "inputRejected",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "returnPressed",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "selectionChanged",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "textChanged",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "textEdited",
            "PyQt5.QtWidgets.QLineEdit"
        ],
        [
            "QLineEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLineEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLineEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLineEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLineEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QLineEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTextEdit": [
        [
            "QTextEdit",
            "copyAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "currentCharFormatChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "cursorPositionChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "redoAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "selectionChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "textChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "undoAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTextEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QPlainTextEdit": [
        [
            "QPlainTextEdit",
            "blockCountChanged",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "copyAvailable",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "cursorPositionChanged",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "modificationChanged",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "redoAvailable",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "selectionChanged",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "textChanged",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "undoAvailable",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "updateRequest",
            "PyQt5.QtWidgets.QPlainTextEdit"
        ],
        [
            "QPlainTextEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPlainTextEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPlainTextEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPlainTextEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QPlainTextEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QPlainTextEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QSpinBox": [
        [
            "QSpinBox",
            "textChanged",
            "PyQt5.QtWidgets.QSpinBox"
        ],
        [
            "QSpinBox",
            "valueChanged",
            "PyQt5.QtWidgets.QSpinBox"
        ],
        [
            "QSpinBox",
            "editingFinished",
            "PyQt5.QtWidgets.QAbstractSpinBox"
        ],
        [
            "QSpinBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSpinBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSpinBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSpinBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSpinBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QSpinBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDoubleSpinBox": [
        [
            "QDoubleSpinBox",
            "textChanged",
            "PyQt5.QtWidgets.QDoubleSpinBox"
        ],
        [
            "QDoubleSpinBox",
            "valueChanged",
            "PyQt5.QtWidgets.QDoubleSpinBox"
        ],
        [
            "QDoubleSpinBox",
            "editingFinished",
            "PyQt5.QtWidgets.QAbstractSpinBox"
        ],
        [
            "QDoubleSpinBox",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDoubleSpinBox",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDoubleSpinBox",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDoubleSpinBox",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDoubleSpinBox",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDoubleSpinBox",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTimeEdit": [
        [
            "QTimeEdit",
            "dateChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QTimeEdit",
            "dateTimeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QTimeEdit",
            "timeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QTimeEdit",
            "editingFinished",
            "PyQt5.QtWidgets.QAbstractSpinBox"
        ],
        [
            "QTimeEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTimeEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTimeEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTimeEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTimeEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTimeEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDateEdit": [
        [
            "QDateEdit",
            "dateChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateEdit",
            "dateTimeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateEdit",
            "timeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateEdit",
            "editingFinished",
            "PyQt5.QtWidgets.QAbstractSpinBox"
        ],
        [
            "QDateEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDateEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDateTimeEdit": [
        [
            "QDateTimeEdit",
            "dateChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateTimeEdit",
            "dateTimeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateTimeEdit",
            "timeChanged",
            "PyQt5.QtWidgets.QDateTimeEdit"
        ],
        [
            "QDateTimeEdit",
            "editingFinished",
            "PyQt5.QtWidgets.QAbstractSpinBox"
        ],
        [
            "QDateTimeEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateTimeEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateTimeEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateTimeEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDateTimeEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDateTimeEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QDial": [
        [
            "QDial",
            "actionTriggered",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "rangeChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "sliderMoved",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "sliderPressed",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "sliderReleased",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "valueChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QDial",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDial",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDial",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDial",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QDial",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QDial",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QScrollBar": [
        [
            "QScrollBar",
            "actionTriggered",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "rangeChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "sliderMoved",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "sliderPressed",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "sliderReleased",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "valueChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QScrollBar",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollBar",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollBar",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollBar",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QScrollBar",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QScrollBar",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QSlider": [
        [
            "QSlider",
            "actionTriggered",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "rangeChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "sliderMoved",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "sliderPressed",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "sliderReleased",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "valueChanged",
            "PyQt5.QtWidgets.QAbstractSlider"
        ],
        [
            "QSlider",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSlider",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSlider",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSlider",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QSlider",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QSlider",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QKeySequenceEdit": [
        [
            "QKeySequenceEdit",
            "editingFinished",
            "PyQt5.QtWidgets.QKeySequenceEdit"
        ],
        [
            "QKeySequenceEdit",
            "keySequenceChanged",
            "PyQt5.QtWidgets.QKeySequenceEdit"
        ],
        [
            "QKeySequenceEdit",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QKeySequenceEdit",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QKeySequenceEdit",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QKeySequenceEdit",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QKeySequenceEdit",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QKeySequenceEdit",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QLabel": [
        [
            "QLabel",
            "linkActivated",
            "PyQt5.QtWidgets.QLabel"
        ],
        [
            "QLabel",
            "linkHovered",
            "PyQt5.QtWidgets.QLabel"
        ],
        [
            "QLabel",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLabel",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLabel",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLabel",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLabel",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QLabel",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QTextBrowser": [
        [
            "QTextBrowser",
            "anchorClicked",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "backwardAvailable",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "forwardAvailable",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "highlighted",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "historyChanged",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "sourceChanged",
            "PyQt5.QtWidgets.QTextBrowser"
        ],
        [
            "QTextBrowser",
            "copyAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "currentCharFormatChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "cursorPositionChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "redoAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "selectionChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "textChanged",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "undoAvailable",
            "PyQt5.QtWidgets.QTextEdit"
        ],
        [
            "QTextBrowser",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextBrowser",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextBrowser",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextBrowser",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QTextBrowser",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QTextBrowser",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QGraphicsView": [
        [
            "QGraphicsView",
            "rubberBandChanged",
            "PyQt5.QtWidgets.QGraphicsView"
        ],
        [
            "QGraphicsView",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGraphicsView",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGraphicsView",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGraphicsView",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QGraphicsView",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QGraphicsView",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QCalendarWidget": [
        [
            "QCalendarWidget",
            "activated",
            "PyQt5.QtWidgets.QCalendarWidget"
        ],
        [
            "QCalendarWidget",
            "clicked",
            "PyQt5.QtWidgets.QCalendarWidget"
        ],
        [
            "QCalendarWidget",
            "currentPageChanged",
            "PyQt5.QtWidgets.QCalendarWidget"
        ],
        [
            "QCalendarWidget",
            "selectionChanged",
            "PyQt5.QtWidgets.QCalendarWidget"
        ],
        [
            "QCalendarWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCalendarWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCalendarWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCalendarWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QCalendarWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QCalendarWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QLCDNumber": [
        [
            "QLCDNumber",
            "overflow",
            "PyQt5.QtWidgets.QLCDNumber"
        ],
        [
            "QLCDNumber",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLCDNumber",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLCDNumber",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLCDNumber",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QLCDNumber",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QLCDNumber",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QProgressBar": [
        [
            "QProgressBar",
            "valueChanged",
            "PyQt5.QtWidgets.QProgressBar"
        ],
        [
            "QProgressBar",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QProgressBar",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QProgressBar",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QProgressBar",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QProgressBar",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QProgressBar",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ],
    "QOpenGLWidget": [
        [
            "QOpenGLWidget",
            "aboutToCompose",
            "PyQt5.QtWidgets.QOpenGLWidget"
        ],
        [
            "QOpenGLWidget",
            "aboutToResize",
            "PyQt5.QtWidgets.QOpenGLWidget"
        ],
        [
            "QOpenGLWidget",
            "frameSwapped",
            "PyQt5.QtWidgets.QOpenGLWidget"
        ],
        [
            "QOpenGLWidget",
            "resized",
            "PyQt5.QtWidgets.QOpenGLWidget"
        ],
        [
            "QOpenGLWidget",
            "customContextMenuRequested",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QOpenGLWidget",
            "windowIconChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QOpenGLWidget",
            "windowIconTextChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QOpenGLWidget",
            "windowTitleChanged",
            "PyQt5.QtWidgets.QWidget"
        ],
        [
            "QOpenGLWidget",
            "destroyed",
            "PyQt5.QtCore.QObject"
        ],
        [
            "QOpenGLWidget",
            "objectNameChanged",
            "PyQt5.QtCore.QObject"
        ]
    ]
}